Skip to navigation

Get an RNA sequence

Get an RNA sequence

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

rna_sequence_idstringRequired

Query parameters

returningstringOptional

Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, ’*’. For more information, click here.

Note: Fields annotations, translations, and primers cannot be introspected with the returning parameter, and any sub fields will be ignored. E.g.: “annotations.id” will return the same as “annotations”.

customNotationIdstringOptional
ID of the notation to use in populating the customNotation field.

Response

OK
aliaseslist of stringsOptional
alignmentIdslist of stringsOptional
API IDs of Nucleotide Alignments involving the RNA sequence
annotationslist of objectsOptional
apiURLstringOptionalRead-onlyformat: "uri"
The canonical url of the RNA Sequence in the API.
archiveRecordobject or nullOptional
authorslist of objectsOptional
basesstringOptional
createdAtdatetimeOptionalRead-only
creatorobjectOptional
customFieldsmap from strings to objectsOptional
customNotationstring or nullOptional
Representation of the RNA Sequence in the custom notation specified in the request. Null if no notation was specified.
customNotationNamestring or nullOptional
Name of the custom notation specified in the request. Null if no notation was specified.
entityRegistryIdstring or nullOptional
fieldsmap from strings to objectsOptional
folderIdstring or nullOptional
helmstring or nullOptional
Representation of the RNA Sequence in HELM syntax, including any chemical modifications.
idstringOptional
isCircularbooleanOptional
lengthintegerOptional
modifiedAtdatetimeOptionalRead-only
namestringOptional
partslist of objectsOptional
primerslist of objectsOptional
registrationOriginobject or nullOptional
registryIdstring or nullOptional
schemaobject or nullOptional
translationslist of objectsOptional
urlstringOptional
The path of the web URL, omitting the tenant domain
webURLstringOptionalRead-only

Errors

400
Bad Request Error